<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'adm_check', 'user') as $inc) {
    require_once "../sys/inc/$inc.php";
}

access('adm_chmod', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'CHMOD';
require_once H . 'sys/inc/thead.php';

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='" . DIR_PANEL . "'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('CHMOD');
echo "</small></div><br />";

if (isset($_GET['chmod_ok'])) {
    @chmod(H . 'sys/ini/settings.ini', 0666);
    @chmod(H . 'sys/classes/', 0777);
    @chmod(H . 'sys/inc/', 0777);
    @chmod(H . 'sys/loads/files/', 0777);
    @chmod(H . 'sys/loads/screens/14/', 0777);
    @chmod(H . 'sys/loads/screens/48/', 0777);
    @chmod(H . 'sys/loads/screens/128/', 0777);
    @chmod(H . 'sys/loads/mp3crop/', 0777);
    @chmod(H . 'sys/gallery/foto/', 0777);
    @chmod(H . 'sys/gallery/48/', 0777);
    @chmod(H . 'sys/gallery/50/', 0777);
    @chmod(H . 'sys/gallery/128/', 0777);
    @chmod(H . 'sys/gallery/640/', 0777);
    @chmod(H . 'sys/gallery/avatar/', 0777);
    @chmod(H . 'sys/wall/', 0777);
    @chmod(H . 'sys/public/', 0777);
    @chmod(H . 'sys/mail/', 0777);
    @chmod(H . 'sys/txt/', 0777);
    @chmod(H . 'sys/fnc/', 0777);
    @chmod(H . 'sys/tmp/', 0777);

    $_SESSION['message'] = lang('Права выставлены');
    header("Location: chmod.php");
    exit;
}

if (isset($err)) {
    if (is_array($err)) {
        foreach ($err as $key => $value) {
            echo "<div class='list-group-item-null list-group-item-info'>$value</div>";
        }
    } else {
        echo "<div class='list-group-item-null list-group-item-info'>$err</div>";
    }
}

echo "<div class='list-group-item-null-mini list-group-item-grey'>";
require_once H . 'sys/inc/chmod_test.php';
echo "</div>";

echo "<form action='?chmod_ok' method='post' class='list-group-item-null'>";
echo "<button class='btn btn-success btn-sm'>Получить права!</button>";
echo "</form>";


require_once H . 'sys/inc/tfoot.php';
